Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyClassDocAssembler

Field Summary
`String` | `FS`
`Map` | `classDocs`
`SimpleGroovyClassDoc` | `currentClassDoc`
`SimpleGroovyConstructorDoc` | `currentConstructorDoc`
`SimpleGroovyMethodDoc` | `currentMethodDoc`
`List` | `importedClassesAndPackages`
`List` | `links`
`String` | `packagePath`
`Pattern` | `previousJavaDocCommentPattern`
`SourceBuffer` | `sourceBuffer`
`Stack` | `stack`

Constructor Summary
`SimpleGroovyClassDocAssembler(String packagePath, String file, SourceBuffer sourceBuffer, List links)`

Method Summary
`void` | `addParametersTo(SimpleGroovyExecutableMemberDoc executableMemberDoc, GroovySourceAST t, int visit)`
`GroovySourceAST` | `getGrandParentNode()`
`Map` | `getGroovyClassDocs()`
`String` | `getJavaDocCommentsBeforeNode(GroovySourceAST t)`
`GroovySourceAST` | `getParentNode()`
`String` | `getText(GroovySourceAST node)`
`String` | `getTypeNodeAsText(GroovySourceAST typeNode, String defaultText)`
`boolean` | `insideAnonymousInnerClass()`
`GroovySourceAST` | `pop()`
`void` | `postProcessClassDocs()`
`void` | `processModifiers(GroovySourceAST t, SimpleGroovyProgramElementDoc programElementDoc)`
`void` | `push(GroovySourceAST t)`
`String` | `recurseDownImportBranch(GroovySourceAST t)`
`void` | `visitClassDef(GroovySourceAST t, int visit)`
`void` | `visitCtorIdent(GroovySourceAST t, int visit)`
`void` | `visitExtendsClause(GroovySourceAST t, int visit)`
`void` | `visitImport(GroovySourceAST t, int visit)`
`void` | `visitInterfaceDef(GroovySourceAST t, int visit)`
`void` | `visitMethodDef(GroovySourceAST t, int visit)`
`void` | `visitVariableDef(GroovySourceAST t, int visit)`

Constructor Detail

### SimpleGroovyClassDocAssembler

    public SimpleGroovyClassDocAssembler(String packagePath, String file, SourceBuffer sourceBuffer, List links)

Method Detail

### addParametersTo

    void addParametersTo(SimpleGroovyExecutableMemberDoc executableMemberDoc, GroovySourceAST t, int visit)

### getGrandParentNode

    GroovySourceAST getGrandParentNode()

### getGroovyClassDocs

    public Map getGroovyClassDocs()

### getJavaDocCommentsBeforeNode

    String getJavaDocCommentsBeforeNode(GroovySourceAST t)

### getParentNode

    GroovySourceAST getParentNode()

### getText

    String getText(GroovySourceAST node)

### getTypeNodeAsText

    String getTypeNodeAsText(GroovySourceAST typeNode, String defaultText)

### insideAnonymousInnerClass

    boolean insideAnonymousInnerClass()

### pop

    public GroovySourceAST pop()

### postProcessClassDocs

    void postProcessClassDocs()

### processModifiers

    void processModifiers(GroovySourceAST t, SimpleGroovyProgramElementDoc programElementDoc)

### push

    public void push(GroovySourceAST t)

### recurseDownImportBranch

    public String recurseDownImportBranch(GroovySourceAST t)

### visitClassDef

    public void visitClassDef(GroovySourceAST t, int visit)

### visitCtorIdent

    public void visitCtorIdent(GroovySourceAST t, int visit)

### visitExtendsClause

    public void visitExtendsClause(GroovySourceAST t, int visit)

### visitImport

    public void visitImport(GroovySourceAST t, int visit)

### visitInterfaceDef

    public void visitInterfaceDef(GroovySourceAST t, int visit)

### visitMethodDef

    public void visitMethodDef(GroovySourceAST t, int visit)

### visitVariableDef

    public void visitVariableDef(GroovySourceAST t, int visit)